OpenJPEG 2.1.2

Data Fields
opj_tcd_band Struct Reference
TCD - Implementation of a tile coder/decoder

FIXME DOC. More...

`#include <tcd.h>`

## Data Fields
OPJ_INT32 | x0
OPJ_INT32 | y0
OPJ_INT32 | x1
OPJ_INT32 | y1
OPJ_UINT32 | bandno
opj_tcd_precinct_t * | precincts
OPJ_UINT32 | precincts_data_size
OPJ_INT32 | numbps
OPJ_FLOAT32 | stepsize

## Detailed Description

FIXME DOC.

## Field Documentation

## § bandno

OPJ_UINT32 opj_tcd_band::bandno

Referenced by opj_tcd_init_tile().

## § numbps

OPJ_INT32 opj_tcd_band::numbps

Referenced by opj_t2_encode_packet(), opj_t2_read_packet_header(), and opj_tcd_init_tile().

## § precincts

opj_tcd_precinct_t* opj_tcd_band::precincts

Referenced by opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_free_tile(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

## § precincts_data_size

OPJ_UINT32 opj_tcd_band::precincts_data_size

Referenced by opj_t2_read_packet_header(), opj_tcd_free_tile(), and opj_tcd_init_tile().

## § stepsize

OPJ_FLOAT32 opj_tcd_band::stepsize

Referenced by opj_tcd_init_tile().

## § x0

OPJ_INT32 opj_tcd_band::x0

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), and opj_tcd_init_tile().

## § x1

OPJ_INT32 opj_tcd_band::x1

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), and opj_tcd_init_tile().

## § y0

OPJ_INT32 opj_tcd_band::y0

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), and opj_tcd_init_tile().

## § y1

OPJ_INT32 opj_tcd_band::y1

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), and opj_tcd_init_tile().

The documentation for this struct was generated from the following file:

- tcd.h